Ubuntu

Guidance on sort order triangle direction is opposite of prevailing convention

Reported by matteo sisti sette on 2011-12-08
16
This bug affects 4 people
Affects Status Importance Assigned to Milestone
ubuntu-themes (Ubuntu)
High
Lars Uebernickel

Bug Description

This has been discussed looong ago here https://bugzilla.gnome.org/show_bug.cgi?id=305277 and consensus seemes to have been reached to what is obvious: that the direction of the triangle icons indicating ascending/descending ordering in lists is reversed, i.e. wrong.

I don't know exactly what relation there is between gnome and unity, but I'm astonished to see that the issue is also present in Unity two years later (two years since the first comment; the bug report indeed dates back to 2005!!).

The small end of the triangle (i.e. its tip) should correspond to the side where things are small (i.e. small numbers, strings beginning with 'a', etc), and the big end of the triangle (i.e. its base) should correspond to the side where things are big (big numbers, strings beginning with 'z',...). So a triangle with the tip on the top should mean "ascending downwards", and a triangle with the tip on the bottom and the base on the top should mean "descending downwards". This is the prevailing convention EVERYWHERE except in Ubuntu, and it is also the only one that makes sense.

The only possible ambiguity (or questionability) is with dates, because an earlier date can be regarded as "smaller" than a more recent date but also as a "bigger" time ago.

Apparently, the (wrong) rationale behind the reverse directioning is that the triangles are mistakenly seen as "arrows" indicating in which physical direction the values are increasing. Hence a "down arrow" (triangle with the tip at the bottom) would mean "the values increase downwards". Note however that this reasoning is fundamentally flawed in that it requires an already implicit "increasing" ordering: if the arrow points "downwards" you have to read "downwards is increasing", if it points upwards you have to read "upwards is increasing".

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity 4.24.0-0ubuntu2b1
ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
Uname: Linux 3.0.0-13-generic i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 280.13 Wed Jul 27 16:55:43 PDT 2011
 GCC version: gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3)
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu4
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,vpswitch,mousepoll,compiztoolbox,snap,place,resize,session,regex,grid,wall,move,gnomecompat,imgpng,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Thu Dec 8 14:46:31 2011
DistUpgraded: Log time: 2011-12-07 19:34:40.350850
DistroCodename: oneiric
DistroVariant: ubuntu
GraphicsCard:
 nVidia Corporation G84 [GeForce 9500M GS] [10de:0405] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:15d2]
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
JockeyStatus:
 xorg:nvidia_173 - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
 xorg:nvidia_173_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
 pkg:sl-modem-daemon - Software modem (Proprietary, Disabled, Not in use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
MachineType: ASUSTeK Computer Inc. M51Sn
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-13-generic root=UUID=173acbf5-26a0-49e3-8d2b-f1c142582cbf ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to oneiric on 2011-12-07 (0 days ago)
dmi.bios.date: 12/24/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 303
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: M51Sn
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr303:bd12/24/2007:svnASUSTeKComputerInc.:pnM51Sn:pvr1.0:rvnASUSTeKComputerInc.:rnM51Sn:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: M51Sn
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu6
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Related branches

lp:~larsu/ubuntu-themes/flip-sort-indicators
Merged into lp:ubuntu-themes at revision 351
PS Jenkins bot: Approve (continuous-integration) on 2014-03-04
Sebastien Bacher: Approve on 2014-03-04
Omer Akram (om26er) wrote :

notified the design team by adding ayatana-design as "affects" to this bug report. Interesting report.

Changed in unity (Ubuntu):
status: New → Incomplete
Changed in unity:
status: New → Incomplete

Why "incomplete"?

Omer Akram (om26er) wrote :

thats the way unity bugs are handles, sorry for not mentioning that. Once design team have a say on the matter the status will be changed for unity tasks accordingly.

Paul Sladen (sladen) wrote :

My take on this (and having read the GNOME bug report), is that the fattest (largest) quantity should correspond to the fattest end of the triangle.

@Paul yes exactly (like in every other existing software I've ever seen) - which is the opposite of what currently happens in unity (and gnome)

affects: unity (Ubuntu) → light-themes (Ubuntu)
affects: unity → light-themes
description: updated

So doesn't the Unity design team have a say yet about this after almost two (more) years?

I mean, or can we change the status to "new" in all the affected packages?

affects: light-themes (Ubuntu) → ubuntu-themes (Ubuntu)
no longer affects: ubuntu-themes (Ubuntu)
affects: light-themes → ubuntu-themes (Ubuntu)
Sebastien Bacher (seb128) wrote :

that's being discussed in bug #1282897 as well

Sebastien Bacher (seb128) wrote :

Design recommendation from the duplicate

"

I think even more understandable than equilateral triangles would be right-angled triangles of sorted lines:
.
_
__

for ascending, and
__
_
.

for descending. But other than that, absolutely, just flipping the current arrows would be less confusing.
"

Is somebody wanting to work on a patch for that?

Changed in ubuntu-themes (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → High
tags: added: ubuntu-desktop-trusty
Lars Uebernickel (larsu) on 2014-03-04
Changed in ubuntu-themes (Ubuntu):
assignee: nobody → Lars Uebernickel (larsu)
status: Triaged → Confirmed
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 14.04+14.04.20140311-0ubuntu1

---------------
ubuntu-themes (14.04+14.04.20140311-0ubuntu1) trusty; urgency=medium

  [ Didier Roche ]
  * Install the new suru icon theme in its own binary package
  * Bump standards-version

  [ Lars Uebernickel ]
  * Don't set toolbar's background to transparent Evolution uses the
    toolbar's background color for the frame in its mail view. A
    transparent background will make that appear black.
  * Give the .view class a background Fixes black background in the dnd
    widgets when dragging a GtkTreeView row.
  * Set gtk-alternative-sort-arrows to true The triangles used by the
    themes convey sort order better when flipped (pointing up is
    ascending). (LP: #901703)
  * Add margin to popup menus to prevent accidental clicks Gtk displaces
    the menus based on the margin. A margin of 1px ensures that the
    mouse pointer is not over the first (or last) menu item after right-
    clicking. (LP: #1281617)
  * Move .view class background further up So that the .rubberband rules
    come after it.
  * Fix black backgrounds in glade and baobab The black backgrounds only
    appear when using overlay-scrollbars. These are hacks to work around
    limitations in gtk 3.10.
  * Fix linked button appearance The left-most buttons in primary
    toolbars didn't have a left border and the middle buttons had
    borders when the window was unfocussed. (LP: #1290501)

  [ Matthieu James ]
  * This is the new icon theme for Ubuntu Touch. It inherits Ubuntu-
    Mobile to ensure that all the icons remain displayed despite some
    names have changed.
 -- Ubuntu daily release <email address hidden> Tue, 11 Mar 2014 08:24:11 +0000

Changed in ubuntu-themes (Ubuntu):
status: In Progress → Fix Released
affects: ayatana-design → hundredpapercuts
no longer affects: hundredpapercuts
To post a comment you must log in.